<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for FilterHiddenFiles.
 * Generated by PHPUnit on 2012-07-04 at 14:01:51.
 * @group directory_iterators
 */
class FilterHiddenFilesTest extends \PHPUnit_Framework_TestCase {

    /** @var FilterHiddenFiles */
    private $filter;

    protected function setUp() {
        $this->filter = new FilterHiddenFiles();
    }

    public function testCanBeProcessed() {
        $hiddenElement = new IteratorElement(1, new \SplFileInfo(TREEWEC_VIEW_DIR . TREEWEC_PREFIX_OF_HIDDEN_FILES . 'navigation.php'));
        $publicElement = new IteratorElement(1, new \SplFileInfo(TREEWEC_VIEW_DIR . TREEWEC_PREFIX_OF_HIDDEN_FILES . 'teams/makov.php'));
        // default: hidden files aren't displayed
        parent::assertFalse($this->filter->canBeProcessed($hiddenElement));
        parent::assertTrue($this->filter->canBeProcessed($publicElement));

        $this->filter->setDisplayHiddenItems(true);
        parent::assertTrue($this->filter->canBeProcessed($hiddenElement));
        parent::assertTrue($this->filter->canBeProcessed($publicElement));
    }

}

?>